{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "Dash_layout.html" %}
{% block content %}   
<div class="page-wrapper">
    <div class="container-fluid">


            <h1>New Offer </h1>
            <p>Post new offer.</p><br>
            <div>
              <a href="{{ url_for('dash.tutorials')}}" class="btn btn-success"><i class="m-r-10 mdi mdi-newspaper"></i> Offers</a>
            </div>

            <center>
                {% if error %}
                <p class=error><strong>Error:</strong> {{ error }}
                {% endif %}
                <br>
                {% with messages = get_flashed_messages(with_categories=true) %}
                {% if messages %}
                <div class="alert alert-{{ messages.0.0 }}" role="alert">
                {% for category, message in messages %}
                {{ message }} </br>
                {% endfor %}
                *</div>
                {% endif %}
                {% endwith %}
                </center>
                <br>

                <div class="container">
                    <div class="card">
                        <div class="card-body">
                            <form class="form-horizontal form-material" method="POST">
                                {{ form.csrf_token }}
                                {{ ckeditor.load() }}
                                {{ ckeditor.config(name='txt') }}
                                <div class="form-group">
                                    <label class="col-md-12">Title : </label>
                                    <div class="col-md-12">
                                        {{ form.title(rows=3, class_="form-control form-control-line")}}
                                    </div>
                                    {% for error in form.title.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                </div>
                                <div class="form-group">
                                    <label for="example-email" class="col-md-12">Description : </label>
                                    <div class="col-md-12">
                                       
                                            {{ form.txt(rows=3, class_="form-control form-control-line")}}
                                    </div>
                                    {% for error in form.txt.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12">Image url : </label>
                                    <div class="col-md-12">
                                        {{ form.img(rows=3, class_="form-control form-control-line")}}
                                    </div>
                                    {% for error in form.img.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12">Date fin : </label>
                                    <div class="col-md-12">
                                        {{ form.fin(rows=3, class_="form-control form-control-line")}}
                                    </div>
                                    {% for error in form.fin.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12">Couppon : </label>
                                    <div class="col-md-12">
                                        {{ form.coupon(rows=3, class_="form-control form-control-line")}}
                                    </div>
                                    {% for error in form.coupon.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12">Price : </label>
                                    <div class="col-md-12">
                                        {{ form.price(rows=3, class_="form-control form-control-line")}}
                                    </div>
                                    {% for error in form.price.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12">Tags : <p>( separeate between tags with , )</p></label>
                                    
                                    <div class="col-md-12">
                                        {{ form.tags(rows=3, class_="form-control form-control-line")}}
                                    </div>
                                    {% for error in form.tags.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                </div>
                             
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <button class="btn btn-success" name="submit">Create</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                

    </div>
</div>


    {% endblock content %}